Bug 490405 - padlock support is not built in kernel package on i686.pae
padlock support is not built in kernel package on i686.pae
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 02:24 EDT by Eric Mertens
Modified: 2009-04-02 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.27.21-170.2.56.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Mertens 2009-03-16 02:24:01 EDT
Description of problem:
AES and SHA1 Padlock drivers are not built in the i686-PAE kernel but are built in the i686 kernel.

This might have been intentional, but the CVS history was rather mixed up and I was not able to find evidence either way in the config-i686-PAE file.

My VIA processor supports both PAE and Padlock.
Comment 1 Chuck Ebbert 2009-03-16 08:14:06 EDT
Added in  2.6.27.20-170.2.48.rc1  and  2.6.29-0.62.rc8
Comment 2 Fedora Update System 2009-03-24 18:56:24 EDT
kernel-2.6.27.21-170.2.56.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.27.21-170.2.56.fc10
Comment 3 Fedora Update System 2009-03-25 12:05:08 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3008
Comment 4 Fedora Update System 2009-04-02 13:19:37 EDT
kernel-2.6.27.21-170.2.56.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.